> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beam.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Context File

> Delete a context file for an agent by file key.



## OpenAPI

````yaml delete /context/agent/{agentId}/file/{fileKey}
openapi: 3.0.0
info:
  title: Public API
  description: Public endpoints to interact with agents and orchestrate tasks
  version: '1.0'
  contact: {}
servers:
  - url: https://api.beamstudio.ai
security: []
tags: []
paths:
  /context/agent/{agentId}/file/{fileKey}:
    delete:
      tags:
        - Agent Context Files
      summary: Delete Context File
      description: Delete a context file for an agent by file key.
      operationId: AgentContextFilesController_deleteFile
      parameters:
        - name: agentId
          required: true
          in: path
          description: The unique identifier of the agent
          schema:
            type: string
        - name: fileKey
          required: true
          in: path
          description: The unique key of the context file to delete
          schema:
            type: string
        - name: current-workspace-id
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Context file deleted successfully
      security:
        - x-api-key: []
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````